### Function

# Json gvariant_serialize

since: 0.14

#### Declaration [src]

    JsonNode*
    json_gvariant_serialize (
      GVariant* variant
    )

#### Description [src]

Converts `variant` to a JSON tree.

Available since: 0.14

#### Parameters

`variant`

  Type: `GVariant`

  A `GVariant` to convert.

  The data is owned by the caller of the function.

#### Return value

Type: `JsonNode`

The root of the JSON data structure obtained from `variant`.

The caller of the function takes ownership of the data, and is responsible for freeing it.